
package de.ivu.elect.presentation.wahlausschuss.menu;

import javax.inject.Inject;

import de.ivu.elect.business.entschaedigung.entity.EntschaedigungsartMeta;
import de.ivu.elect.business.gebietsbaum.boundary.GebietSessionSelect;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.entschaedigung.menu.EntschaedigungsartSearchMenuItemEntry;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.wahlausschuss.WahlausschussEntschaedigungBulkEditView;

/**
 * @deprecated ELECTMUC-1268, aber aufgrund von ELECTMUC-1285 weiterhin verwendet!
 * @see EntschaedigungsartSearchMenuItemEntry
 */
@Deprecated
public class WahlausschussmitgliedEntschaedigungssaetzeVerwaltenMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private GebietSessionSelect gebietSelect;

  @Inject
  private EntschaedigungsartMeta entschaedigungsartMeta;

  public WahlausschussmitgliedEntschaedigungssaetzeVerwaltenMenuItemEntry() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.ENTSCHAEDIGUNGSART_EDIT);
  }

  @Override
  public boolean isDisabledInternal() {
    return !gebietSelect.isSelected();
  }

  @Override
  public String getTargetViewId() {
    return WahlausschussEntschaedigungBulkEditView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), entschaedigungsartMeta.getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.manage.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSettings();
  }
}
